# Documentation on how to configure the bundle can be found at: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
    resolvers:
        default:
            web_path:
                web_root: "%kernel.project_dir%/public" #(%kernel.project_dir%/web for Symfony < 4.0.0)
                cache_prefix: "images/cache"

    loaders:
        default:
            filesystem:
                data_root: "%kernel.project_dir%/public/"
                bundle_resources:
                    enabled: true

    # valid drivers options include "gd" or "gmagick" or "imagick"
    driver: "gd"

    cache:                default
    data_loader:          default
    default_image:        null
    controller:
        filter_action:         liip_imagine.controller::filterAction
        filter_runtime_action: liip_imagine.controller::filterRuntimeAction

    filter_sets :

        # the name of the "filter set"
        realisation :
            # adjust the image quality to 80%
            quality : 80

            # list of transformations to apply (the "filters")
            filters :
                # create a thumbnail: set size to 120x90 and use the "outbound" mode
                # to crop the image when the size ratio of the input differs
                auto_rotate: ~
                upscale: { min: [ 500, 500 ] }
                thumbnail : { size : [500, 500], mode : outbound, upscale: true }

        # the name of the "filter set"
        realisationHome :
            # adjust the image quality to 80%
            quality : 80

            # list of transformations to apply (the "filters")
            filters :
                # create a thumbnail: set size to 120x90 and use the "outbound" mode
                # to crop the image when the size ratio of the input differs
                auto_rotate: ~
                upscale: { min: [ 415, 415 ] }
                thumbnail : { size : [415, 415], mode : outbound, upscale: true }

        # the name of the "filter set"
        realisationPrestation :
            # adjust the image quality to 80%
            quality : 80

            # list of transformations to apply (the "filters")
            filters :
                # create a thumbnail: set size to 120x90 and use the "outbound" mode
                # to crop the image when the size ratio of the input differs
                auto_rotate: ~
                upscale: { min: [ 760, 400 ] }
                thumbnail : { size : [760, 400], mode : outbound, upscale: true }

        # the name of the "filter set"
        realisationScobat :
            # adjust the image quality to 80%
            quality : 80

            # list of transformations to apply (the "filters")
            filters :
                # create a thumbnail: set size to 120x90 and use the "outbound" mode
                # to crop the image when the size ratio of the input differs
                auto_rotate: ~
                upscale: { min: [ 783, 415 ] }
                thumbnail : { size : [783, 415], mode : outbound, upscale: true }

        # the name of the "filter set"
        realisationShow :
            # adjust the image quality to 80%
            quality : 80

            # list of transformations to apply (the "filters")
            filters :
                # create a thumbnail: set size to 120x90 and use the "outbound" mode
                # to crop the image when the size ratio of the input differs
                auto_rotate: ~
                upscale: { min: [ 673, 673 ] }
                thumbnail : { size : [673, 673], mode : outbound, upscale: true }